Skip to Content
homemade
Dashboard

Add an SSH key

POST
/api/ssh-keys

Adds an SSH public key. Running VMs in your teams accept it within seconds.

Authorization

apiKey
headerAuthorizationBearer <hmk_…>

An API key from the dashboard or homemade api-key create.

Request Body

application/json
  1. body
label*string
Length1 <= length <= 64
publicKey*string
Match^(?:ssh-ed25519|ssh-rsa|ecdsa-sha2-nistp256|ecdsa-sha2-nistp384|ecdsa-sha2-nistp521) [A-Za-z0-9+/]+=*(?: .+)?$
Lengthlength <= 8192

Response Body

The key.

application/json
  1. response
createdAt*string

ISO 8601 date-time (UTC).

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time
fingerprint*string
id*string
label*string
Example Request
curl -X POST 'https://api.homemade.dev/api/ssh-keys' \  -H 'Content-Type: application/json' \  -d '{  "label": "string",  "publicKey": "string"}'
Example Response
{  "createdAt": "2019-08-24T14:15:22Z",  "fingerprint": "string",  "id": "string",  "label": "string"}